Bug 1200578 - ksh does not show proper error message if command inside back quote ends in a quote
Summary: ksh does not show proper error message if command inside back quote ends in a...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ksh
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Siteshwar Vashisht
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 1298243 1420851
TreeView+ depends on / blocked
 
Reported: 2015-03-10 21:23 UTC by Paulo Andrade
Modified: 2019-04-16 14:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-11 14:02:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Paulo Andrade 2015-03-10 21:23:39 UTC
For example:

$ for f in `ls -d /home/*"`; do echo $f; done
ls: cannot access /home/*
: No such file or directory

it should show the same error as when using $():

$ for f in $(ls -d /home/*"); do echo $f; done
ksh: syntax error: `"' unmatched

Comment 8 Siteshwar Vashisht 2017-07-11 14:01:15 UTC
I opened an upstream issue for it https://github.com/att/ast/issues/54

Comment 9 Siteshwar Vashisht 2017-07-11 14:02:46 UTC
Moved this bug to upstream and closing it as wontfix in rhel 7.


Note You need to log in before you can comment on or make changes to this bug.